MatrixValuesDialog Class Reference

Set matrix values dialog. More...

`#include <MatrixValuesDialog.h>`

Inheritance diagram for MatrixValuesDialog:

## Public Member Functions

| MatrixValuesDialog (ScriptingEnv *env, QWidget *parent=0, Qt::WFlags fl=0)
void | setCompleter (QCompleter *)
void | setMatrix (Matrix *m)
Public Member Functions inherited from scripted
| scripted (ScriptingEnv *env)
void | scriptingChangeEvent (ScriptingChangeEvent *)
ScriptingEnv * | scriptingEnv ()
| ~scripted ()

## Private Slots

void | addCell ()
bool | apply ()
void | insertExplain (int index)
void | insertFunction ()

## Private Member Functions

void | closeEvent (QCloseEvent *)
void | customEvent (QEvent *e)
QSize | sizeHint () const

## Private Attributes

QPushButton * | btnAddCell
QPushButton * | btnAddFunction
QPushButton * | btnApply
QPushButton * | btnCancel
ScriptEdit * | commands
QSpinBox * | endCol
QSpinBox * | endRow
QTextEdit * | explain
QComboBox * | functions
Matrix * | matrix
QSpinBox * | startCol
QSpinBox * | startRow

## Additional Inherited Members

Protected Attributes inherited from scripted
ScriptingEnv * | scriptEnv

## Detailed Description

Set matrix values dialog.

## Constructor & Destructor Documentation

## MatrixValuesDialog()

MatrixValuesDialog::MatrixValuesDialog | ( | ScriptingEnv * | env,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References addCell(), apply(), btnAddCell, btnAddFunction, btnApply, btnCancel, commands, endCol, endRow, explain, functions, insertExplain(), insertFunction(), ScriptingEnv::mathFunctions(), scripted::scriptEnv, startCol, and startRow.

## Member Function Documentation

## addCell

void MatrixValuesDialog::addCell | ( |  | ) |

private slot

References commands.

Referenced by MatrixValuesDialog().

## apply

bool MatrixValuesDialog::apply | ( |  | ) |

private slot

References Matrix::calculate(), Matrix::canCalculate(), commands, endCol, endRow, Matrix::formula(), matrix, Matrix::setFormula(), startCol, startRow, and Matrix::undoStack().

Referenced by MatrixValuesDialog().

## closeEvent()

void MatrixValuesDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References ApplicationWindow::d_force_muParser, functions, muParserScripting::functionsList(), insertExplain(), and scripted::scriptingEnv().

## customEvent()

void MatrixValuesDialog::customEvent | ( | QEvent * | e | ) |

private

References SCRIPTING_CHANGE_EVENT, and scripted::scriptingChangeEvent().

## insertExplain

void MatrixValuesDialog::insertExplain | ( | int | index | ) |

private slot

References explain, muParserScripting::explainFunction(), functions, ScriptingEnv::mathFunctionDoc(), and scripted::scriptEnv.

Referenced by closeEvent(), and MatrixValuesDialog().

## insertFunction

void MatrixValuesDialog::insertFunction | ( |  | ) |

private slot

References commands, functions, and ScriptEdit::insertFunction().

Referenced by MatrixValuesDialog().

## setCompleter()

void MatrixValuesDialog::setCompleter | ( | QCompleter * | completer | ) |

References commands, and ScriptEdit::setCompleter().

Referenced by ApplicationWindow::showMatrixValuesDialog().

## setMatrix()

void MatrixValuesDialog::setMatrix | ( | Matrix * | m | ) |

References commands, endCol, endRow, Matrix::formula(), matrix, Matrix::numCols(), Matrix::numRows(), Matrix::selectionModel(), ScriptEdit::setContext(), startCol, startRow, Matrix::TableView, and Matrix::viewType().

Referenced by ApplicationWindow::showMatrixValuesDialog().

## sizeHint()

QSize MatrixValuesDialog::sizeHint | ( |  | ) | const

private

## Member Data Documentation

## btnAddCell

QPushButton* MatrixValuesDialog::btnAddCell

private

Referenced by MatrixValuesDialog().

## btnAddFunction

QPushButton* MatrixValuesDialog::btnAddFunction

private

Referenced by MatrixValuesDialog().

## btnApply

QPushButton* MatrixValuesDialog::btnApply

private

Referenced by MatrixValuesDialog().

## btnCancel

QPushButton* MatrixValuesDialog::btnCancel

private

Referenced by MatrixValuesDialog().

## commands

ScriptEdit* MatrixValuesDialog::commands

private

Referenced by addCell(), apply(), insertFunction(), MatrixValuesDialog(), setCompleter(), and setMatrix().

## endCol

QSpinBox * MatrixValuesDialog::endCol

private

Referenced by apply(), MatrixValuesDialog(), and setMatrix().

## endRow

QSpinBox * MatrixValuesDialog::endRow

private

Referenced by apply(), MatrixValuesDialog(), and setMatrix().

## explain

QTextEdit* MatrixValuesDialog::explain

private

Referenced by insertExplain(), and MatrixValuesDialog().

## functions

QComboBox* MatrixValuesDialog::functions

private

Referenced by closeEvent(), insertExplain(), insertFunction(), and MatrixValuesDialog().

## matrix

Matrix* MatrixValuesDialog::matrix

private

Referenced by apply(), and setMatrix().

## startCol

QSpinBox * MatrixValuesDialog::startCol

private

Referenced by apply(), MatrixValuesDialog(), and setMatrix().

## startRow

QSpinBox* MatrixValuesDialog::startRow

private

Referenced by apply(), MatrixValuesDialog(), and setMatrix().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixValuesDialog.h
- qtiplot/src/matrix/MatrixValuesDialog.cpp